Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZArticleType Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
| setName ( $value)
| attributes ( $as_object=true)
| attributesByArticle ( $article)

## Static Public Member Functions
& | getByName ( $name)

## Public Attributes
| $ID
| $Name

## Detailed Description

! eZArticle This class handles different article types.

A article type is a group of articles with the same special attributes. For example a article type could be cars, with the defined attributes: horsepower, weight ...

See also
  eZArticle

Definition at line 45 of file ezarticletype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZArticleType::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZArticleType object. Retrieves the data from the database if a valid id is given as an argument.

Definition at line 51 of file ezarticletype.php.

References $ID, and $id.

## Member Function Documentation

## ◆ attributes()

eZArticleType::attributes | ( |  | $as_object = `true` | ) |

Returns an array of eZArticleAttribute objects which are associated with the current article type.

Definition at line 220 of file ezarticletype.php.

References $db, $i, and eZDB\globalDatabase().

Referenced by delete().

## ◆ attributesByArticle()

eZArticleType::attributesByArticle | ( |  | $article | ) |

Returns every attribute belonging to an article as an array of eZArticleAttribute objects.

Definition at line 243 of file ezarticletype.php.

References $article, $articleID, $db, $i, $ret, and eZDB\globalDatabase().

## ◆ delete()

eZArticleType::delete | ( |  | ) |

Deletes a option from the database.

Definition at line 177 of file ezarticletype.php.

References $db, attributes(), and eZDB\globalDatabase().

## ◆ get()

eZArticleType::get | ( |  | $id = `-1` | ) |

Fetches the article type object values from the database.

Definition at line 103 of file ezarticletype.php.

References $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZArticleType::getAll | ( |  | ) |

Retrieves every option from the database.

Definition at line 157 of file ezarticletype.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ getByName()

& eZArticleType::getByName | ( |  | $name | ) |
| static

Fetches the article type object based on name.

Returns an article type object.

Definition at line 133 of file ezarticletype.php.

References $db, $name, $type, and eZDB\globalDatabase().

## ◆ id()

eZArticleType::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 195 of file ezarticletype.php.

References $ID.

## ◆ name()

eZArticleType::name | ( |  | ) |

Returns the name of the option.

Definition at line 203 of file ezarticletype.php.

References $Name.

## ◆ setName()

eZArticleType::setName | ( |  | $value | ) |

Sets the name of the option.

Definition at line 211 of file ezarticletype.php.

References Name.

## ◆ store()

eZArticleType::store | ( |  | ) |

Stores a eZArticletype object to the database.

Definition at line 63 of file ezarticletype.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $ID

eZArticleType::$ID

Definition at line 277 of file ezarticletype.php.

Referenced by __construct(), and id().

## ◆ $Name

eZArticleType::$Name

Definition at line 278 of file ezarticletype.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezarticletype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.